Skip to main content
POST
/
api
/
pty
/
{ptyID}
/
connect-token
Create PTY WebSocket token
curl --request POST \
  --url https://api.example.com/api/pty/{ptyID}/connect-token
import requests

url = "https://api.example.com/api/pty/{ptyID}/connect-token"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/api/pty/{ptyID}/connect-token', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "location": {
    "directory": "<string>",
    "project": {
      "id": "<string>",
      "directory": "<string>"
    },
    "workspaceID": "<string>"
  },
  "data": {
    "ticket": "<string>",
    "expires_in": 1
  }
}
{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
  "_tag": "UnauthorizedError",
  "message": "<string>"
}
{
  "_tag": "ForbiddenError",
  "message": "<string>"
}
{
  "_tag": "PtyNotFoundError",
  "ptyID": "<string>",
  "message": "<string>"
}

Path Parameters

ptyID
string
required
Pattern: ^pty

Query Parameters

location
object | null

Response

Success

location
object
required
data
object
required